moeoSelectFromPopAndArch(3)

NAME
moeoSelectFromPopAndArch - Elitist selection process that consists in choosing individuals in the archive as well as in the current population.

SYNOPSIS

#include <moeoSelectFromPopAndArch.h>

Inherits moeoSelectOne< MOEOT >< MOEOT >.

  Public Member Functions
moeoSelectFromPopAndArch (moeoSelectOne< MOEOT > &_popSelectOne, moeoSelectOne< MOEOT > _archSelectOne, moeoArchive< MOEOT > &_arch, double _ratioFromPop=0.5)
Ctor.
moeoSelectFromPopAndArch (moeoSelectOne< MOEOT > &_popSelectOne, moeoArchive< MOEOT > &_arch, double _ratioFromPop=0.5)
Defaulr ctor - the archive's selection operator is a random selector.
virtual const MOEOT & operator() (const eoPop< MOEOT > &pop)
The selection process.
virtual void setup (const eoPop< MOEOT > &_pop)
Setups some population stats.

  Private Attributes
moeoSelectOne< MOEOT > & popSelectOne
The population's selection operator.
moeoSelectOne< MOEOT > & archSelectOne
The archive's selection operator.
moeoArchive< MOEOT > & arch
The archive.
double ratioFromPop
The ratio of selected individuals from the population.
moeoRandomSelect< MOEOT > randomSelectOne
A random selection operator (used as default for archSelectOne).

Detailed Description

  template<class MOEOT> class moeoSelectFromPopAndArch< MOEOT >
Elitist selection process that consists in choosing individuals in the archive as well as in the current population.

Definition at line 26 of file moeoSelectFromPopAndArch.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoSelectFromPopAndArch< MOEOT >::moeoSelectFromPopAndArch (moeoSelectOne< MOEOT > & _popSelectOne, moeoSelectOne< MOEOT > _archSelectOne, moeoArchive< MOEOT > & _arch, double _ratioFromPop = 0.5) [inline]

Ctor.

Parameters:
    _popSelectOne the population's selection operator
    _archSelectOne the archive's selection operator
    _arch the archive
    _ratioFromPop the ratio of selected individuals from the population

Definition at line 37 of file moeoSelectFromPopAndArch.h.

  template<class MOEOT> moeoSelectFromPopAndArch< MOEOT >::moeoSelectFromPopAndArch (moeoSelectOne< MOEOT > & _popSelectOne, moeoArchive< MOEOT > & _arch, double _ratioFromPop = 0.5) [inline]

Defaulr ctor - the archive's selection operator is a random selector.

Parameters:
    _popSelectOne the population's selection operator
    _arch the archive
    _ratioFromPop the ratio of selected individuals from the population

Definition at line 47 of file moeoSelectFromPopAndArch.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.